@import url('variables.css');

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0;
  min-height: 100vh;
  padding: 40px 0;
  box-sizing: border-box;
  overflow: hidden;
  background-color: var(--bg-primary);
  color: var(--text-primary);
}

.app-container {
  display: flex;
  height: calc(100vh - 80px);
  max-width: 1400px;
  width: 100%;
  box-shadow: 0 0 1px var(--shadow-color);
  border-radius: 12px;
  overflow: hidden;
  background-color: var(--bg-secondary);
}

.content-wrapper {
  flex-grow: 1;
  padding: 8px;
  max-width: 1260px;
  height: 100%;
  box-sizing: border-box;
  background-color: var(--bg-secondary);
}

.content-area {
  height: 100%;
  border-radius: 10px;
  overflow: hidden;
  background-color: var(--bg-primary);
  box-shadow: 0 0 1px var(--shadow-color);
}

#content-frame {
  width: 100%;
  height: 100%;
  border: none;
  background-color: var(--bg-primary);
}

@media (max-width: 1400px) {
  body {
    padding: 0;
  }

  .app-container {
    width: 100%;
    max-width: none;
    height: 100vh;
    margin: 0;
    border-radius: 0;
    box-shadow: none;
  }
}

@media (max-width: 768px) {
  body, html {
    height: 100%;
    overflow: hidden;
  }

  .app-container {
    flex-direction: column;
    height: 100%;
  }

  .content-wrapper {
    width: 100%;
    max-width: 100%;
    padding: 0;
    height: calc(100% - 54px); /* Adjust based on your mobile sidebar height */
  }

  .content-area {
    height: 100%;
    border-radius: 0;
  }

  #content-frame {
    width: 100%;
    height: 100%;
    border: none;
  }
}

.carousel-container {
    perspective: 1000px;
    transform-style: preserve-3d;
}

.carousel-item {
    transition: all 0.3s ease;
    transform-origin: center center;
}
